- Running Intel® Manager for Lustre* diagnostics

# Running Intel® Manager for Lustre* diagnostics

Contents

If Intel® Manager for Lustre* software is not operating normally and you require support from Intel® customer support, you may be asked to run chroma-diagnostics on any servers that are suspected of having problems, and/or on the server hosting the Intel® Manager for Lustre* dashboard. The results of running the diagnostics should be attached to the ticket you are filing describing the problem. These diagnostics are described next.

## Run diagnostics

1. | Log into the server in question. Admin login is required in order to collect all desired data.

2. | Enter the following command at the prompt: #chroma-diagnostics

This command generates a compressed tar.lzma file that you can email to Intel® customer support. Following are sample displayed results of running this command. (The resulting tar.lzma file will have a different file name.)

Collecting diagnostic files

Detected devices

Devices monitored

Listed installed packages

Listed cibadmin --query

Listed: pcs config show

Listed: crm_mon -1r

Finger printed Intel Manager for Lustre installation

Listed running processes

listed PCI devices

listed file system disk space.

listed cat /proc/cpuinfo

listed cat /proc/meminfo

listed cat /proc/mounts

listed cat /proc/partitions

Listed hosts

Copied 1 log files.

Compressing diagnostics into LZMA (archive)

Diagnostic collection is completed.

Size: 16K /var/log/diagnostics_20150623T160338_lotus-4vm15.iml.intel.com.tar.lzma

The diagnostic report tar.lzma file can be sent to Intel(R) Manager for Lustre Support for analysis.

You can also decompress the file and examine the results. To unpack and extract the files, use this command:

tar --lzma -xvpf <file_name>.tar.lzma

## Help for chroma-diagnostics

Generally, if requested you should run this command without options, as this will generate the needed data. Enter chroma-diagnostics -h to see help for this command, as follows:

# chroma-diagnostics -h

usage: chroma-diagnostics [-h] [--verbose] [--days-back DAYS_BACK]

Run this to save a tar-file collection of logs and diagnostic output.

The tar-file created is compressed with lzma.

Sample output: /var/log/diagnostics_<date>_<fqdn>.tar.lzma

optional arguments:

-h, --help show this help message and exit

--verbose, -v More output for troubleshooting.

--days-back DAYS_BACK, -d DAYS_BACK

Number of days back to collect logs. default is 1. 0 would mean today's logs only.